Permalink
Browse files

Added version.rb to RubySpec and MSpec-version check.

  • Loading branch information...
1 parent 63dc9eb commit b2e1a2fc78570b2c3f6b4cdb3475d3ed6c28486e Brian Ford committed Jul 16, 2008
Showing with 10 additions and 0 deletions.
  1. +7 −0 1.8/spec_helper.rb
  2. +3 −0 version.rb
View
@@ -1,5 +1,6 @@
unless ENV['MSPEC_RUNNER']
begin
+ require 'mspec/version'
require 'mspec/helpers'
require 'mspec/guards'
require 'mspec/runner/shared'
@@ -18,6 +19,12 @@
end
end
+v = MSpec::VERSION.split('.').collect { |d| "1%02d" % d.to_i }.join.to_i
+unless v >= 101104100
+ puts "Please install MSpec version >= 1.4.0 to run the specs"
+ exit 1
+end
+
$VERBOSE = nil unless ENV['OUTPUT_WARNINGS']
def has_tty?
View
@@ -0,0 +1,3 @@
+module RubySpec
+ VERSION = "0.5.0"
+end

0 comments on commit b2e1a2f

Please sign in to comment.